Search found 29 matches

Go to advanced search

by usbhub
Tue Sep 17, 2019 6:47 pm
Forum: UX/UI Design
Topic: Visualisation problem
Replies: 11
Views: 189

Re: Visualisation problem

Yes, it would be fine, if there would be a beatiful solution, but to the best of my knowledge, it is very hard to fix this "issue". And like chrisb said, I don't think, that it is sooooo horrible ;)
by usbhub
Tue Sep 17, 2019 6:43 pm
Forum: Python scripting and macros
Topic: Check if an object is a solid
Replies: 11
Views: 257

Re: Check if an object is a solid

I solved the problem with another way. The check, if the object is a solid was for check, if it's possible to convert to mesh. I'm not able to check ATM but I'd bet that a shell can also be converted to mesh. ;) Oh yes, I think that's right.But that's not too bad. It is only for converting objects ...
by usbhub
Tue Sep 17, 2019 4:11 pm
Forum: Forum in Deutsch
Topic: Erfahrungsaustausch 2.0
Replies: 34
Views: 1717

Re: Erfahrungsaustausch 2.0

Terminvorschlag: Sonntag, 29. September 2019 ab 9:30 Uhr? Themen Vorschläge von mir: 1. Chrisb und Bernd - Zukunftsaussichten für Freecad, Chrisb Path, Bernd FEM 2. usbhub - POVRAY Makro für Renderbilder Falls gewünscht: 3. freecad-heini-1 - kurzer Einblick in Realthunders ASM3 Baugruppen Workbench...
by usbhub
Tue Sep 17, 2019 4:07 pm
Forum: Python scripting and macros
Topic: Check if an object is a solid
Replies: 11
Views: 257

Re: Check if an object is a solid

Thank you all.
I solved the problem with another way. The check, if the object is a solid was for check, if it's possible to convert to mesh. Now I put the creation of the mesh in a try block and if an error occurs, I know, I can't create a mesh from the shape.
by usbhub
Sun Sep 15, 2019 7:18 pm
Forum: Forum in Deutsch
Topic: Anfängerfrage - aufpolstern
Replies: 2
Views: 89

Re: Anfängerfrage - aufpolstern

Ich verstehe nicht ganz, was du mit Nun würde ich es gerne aufpolstern, dass überall aussen rum etwas ist meinst. Der Fehler ist aber folgender: Die Form / Skizze muss geschlossen sein, sonst gibt es die Fehlermeldung, die du bekommen hast; PartDesign schließt den Sketch nicht automatisch. usbhub
by usbhub
Sun Sep 15, 2019 5:10 pm
Forum: Python scripting and macros
Topic: Check if an object is a solid
Replies: 11
Views: 257

Re: Check if an object is a solid

TheMarkster wrote:
Fri Sep 13, 2019 10:06 pm

Code: Select all

if App.ActiveDocument.Helix.Shape.Solids:
    print("is a solid")
Thank you, but I use this already in my macro, but for a body in a model it doesn't works. It's a legal body without errors or something else. The file is on my laptop, but I will try it on my computer and report.

usbhub
by usbhub
Sun Sep 15, 2019 5:03 pm
Forum: Forum in Deutsch
Topic: Fehler Polar Pattern
Replies: 11
Views: 330

Re: Fehler Polar Pattern

Ich habe es gerade mal mit dem Daily Build von heute probiert, dasselbe Problem: OS: Linux Mint 19 (X-Cinnamon/cinnamon) Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.19. Build type: Release Python version: 3.6.8 Qt version: 5.9.5 Coin version: 4.0.0a OCC version: 7.3.0 Locale: Ger...
by usbhub
Sun Sep 15, 2019 4:58 pm
Forum: Forum in Deutsch
Topic: 3 D Modell verschwindet
Replies: 2
Views: 95

Re: 3 D Modell verschwindet

Hallo Sayron, ohne die entsprechende Datei können wir leider nicht wirklich sagen, warum das so sein könnte. Es könnte bspw. sein, dass deine Form nicht geschlossen ist oder oder oder. Also einfach die Datei hochladen, dann können wir dir (höchstwahrscheinlich) sagen, woran es liegt. usbhub PS: Am b...
by usbhub
Sun Sep 15, 2019 4:54 pm
Forum: Forum in Deutsch
Topic: Erfahrungsaustausch 2.0
Replies: 34
Views: 1717

Re: Erfahrungsaustausch 2.0

Ich habe bisher noch nicht an so einer Konferenz teilgenommen. Daher weiß ich jetzt nicht ob, neben einem Headset, weitere Hardware und/oder Software nötig ist. Da wäre es schön wenn ich da etwas Unterstützung bekommen könnte. Ich habe vorher auch noch nicht teilgenommen, aus dem alten Thread habe ...
by usbhub
Fri Sep 13, 2019 9:35 pm
Forum: Python scripting and macros
Topic: Check if an object is a solid
Replies: 11
Views: 257

Check if an object is a solid

Hello,
for my macro I have to check, whether an object is a solid or not.
To example:
Body (PartDesign): solid
Sketch: no solid
Plane: no solid
Helix: no solid
Cube: solid
Loft: solid
Loft without checking creating volume: no solid

I hope, you understand, what I mean with solid.

Thanks in advance!

Go to advanced search